require( "scripts/style.lua" );

MakeDialog
{
  FadeWindow
  {
    name = "okwin",
    x = 0, y = 0,
		w = ScreenWight, h = ScreenHeight,
		
		Bitmap
	  {
		  image="menu/dialog_02_2",
		  x=kCenter,
		  y=kCenter,
		},

    Bitmap
    {
	    image="menu/dialog_02",
	    x=kCenter,
	    y=kCenter,
    },
		   
		label="ok",
		
		SetStyle( MenuButtonOk ),
		
    QEMenuButton
    {
        name = "ok",
        x = kCenter,
        y = 320+80,
         cancel=true,
        default=true,
        command = function() 
        CloseFade("okwin","CloseWindow()");
        end;
    },

    Text
		{
			font = DialogTitleFont,
			name = "oktitle",
			x=12, y=8+180,
			w=kMax,h=40,
			flags = kVAlignCenter + kHAlignLeft,
			label= gDialogTable.title,
		};

		Text
		{
			font = DialogBodyFont,
			name = "okbody",
			x=kCenter,y=100+180,
			w=240,h=160,
			flags = kVAlignCenter + kHAlignCenter,
			label= gDialogTable.body,
		};
	},
}
